import os
from setuptools import setup, find_packages


with open(os.path.join(os.path.dirname(__file__), 'README.md')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__),
                                       os.pardir)))

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

requirements = [
    'django>=3.0',
]

extras_require = {
    'test': ['coverage', 'selenium'],
}

setup(
    name='django-jchart-django3-uvm',
    version='0.4.2',
    packages=find_packages(),
    include_package_data=True,
    install_requires=requirements,
    extras_require=extras_require,
    license='BSD License',
    description='A Django App to plot charts using the excellent Chart.JS library. Updated for Django 3.x compatibility',
    long_description=read('README.md'),
    long_description_content_type='text/markdown',
    url='https://gitlab.uvm.edu/saa/research-storage-automation/django-jchart-django3-uvm',
    author='Matthisk Heimensen',
    author_email='m@tthisk.nl',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
